petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectStateSet

Sets the state of any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectStateSet(PetscObject obj,PetscObjectState state)

Logically Collective Many br

### Input Parameter

| obj | - any PETSc object, for example a Vec, Mat or KSP. This must be Many brcast with a (PetscObject), for example, Many brPetscObjectStateSet((PetscObject)mat,state); Many br
| state | - the object state Many br

Notes: This function should be used with extreme caution. There is Many bressentially only one use for it: if the user calls Mat(Vec)GetRow(Array), Many brwhich increases the state, but does not alter the data, then this Many brroutine can be used to reset the state. Such a reset must be collective. Many br

Many br

seealso: PetscObjectStateGet(),PetscObjectStateIncrease() Many br

Level:advanced
Location:src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages